ru.bitel.common.inet

## Class IpAddressRangeSet<R>

- java.lang.Object
- - ru.bitel.common.util.SegmentedRangeSet<IpAddress,byte[],R>
  - - ru.bitel.common.inet.IpAddressRangeSet<R>

-     public class IpAddressRangeSet<R>
      extends ru.bitel.common.util.SegmentedRangeSet<IpAddress,byte[],R>

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `IpAddressRangeSet.IpAddressSegmenter<R>`
    `static class` | `IpAddressRangeSet.IpRanger<R extends IpRange>`

    - ### Nested classes/interfaces inherited from class ru.bitel.common.util.SegmentedRangeSet

      `ru.bitel.common.util.SegmentedRangeSet.Segmenter<K,R>`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static java.util.Comparator<byte[]>` | `COMPARATOR`
    `protected IpAddressRangeSet.IpAddressSegmenter<R>` | `segmenter`

    - ### Fields inherited from class ru.bitel.common.util.SegmentedRangeSet

      `clazz, comparator, notSegmented, ranger, rangerClass, segments`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `IpAddressRangeSet(java.lang.Class<R> clazz, ru.bitel.common.util.Ranger<R,byte[]> ranger, boolean bites, int maskLength)`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static <K extends IpRange> IpAddressRangeSet<K>` | `newInstance(java.lang.Class<K> clazz, int maskLength)`

    - ### Methods inherited from class ru.bitel.common.util.SegmentedRangeSet

      `add, addAll, get, get, listContains, remove, size`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### COMPARATOR

          protected static final java.util.Comparator<byte[]> COMPARATOR

    - #### segmenter

          protected final IpAddressRangeSet.IpAddressSegmenter<R> segmenter

  - ### Constructor Detail

    - #### IpAddressRangeSet

          public IpAddressRangeSet(java.lang.Class<R> clazz,
                                   ru.bitel.common.util.Ranger<R,byte[]> ranger,
                                   boolean bites,
                                   int maskLength)

  - ### Method Detail

    - #### newInstance

          public static <K extends IpRange> IpAddressRangeSet<K> newInstance(java.lang.Class<K> clazz,
                                                                             int maskLength)